Plugins

Update a plugin

Updates a plugin's configuration. Will reload or stop the plugin based on enabled status. The response actualName field shows the plugin name from GetName() (used as the map key), which may differ from the display name (name).

PUT
/api/plugins/{name}
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

namestring

Plugin display name (the config field name, not the internal actualName from GetName())

enabled?boolean
config?object

Empty Object

path?string

Response Body

curl -X PUT "https://loading/{AI_GATEWAY_URL}/api/plugins/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "message": "string",
  "plugin": {
    "name": "my_custom_plugin",
    "actualName": "MyCustomPlugin",
    "enabled": true,
    "config": {
      "api_key": "xxx"
    },
    "isCustom": true,
    "path": "/plugins/my_custom_plugin.so",
    "status": {
      "name": "my_custom_plugin",
      "status": "active",
      "logs": [
        "plugin my_custom_plugin initialized successfully"
      ],
      "types": [
        "llm",
        "http"
      ]
    }
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings